Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	alsa-utils
Version:   	1.0.22
Release:   	1
Epoch:		1
License: 	GNU/GPL
URL:		http://www.alsa-project.org
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.bz2
Source202:	salsa.c
Source203: 	alsacard.c
Source204: 	alsaunmute.c
Source210:	alsa.rules
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:   	Advanced Linux Sound Architecture (ALSA) utilities
Requires:	dialog

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

BuildRequires:  dialog gettext-devel autoconf xmlto

# requires libxml2 for the xmllint utility
BuildRequires:  libxml2
# requires libxslt for the xsltproc utility
BuildRequires:  libxslt

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: ncurses-devel

%description
This package contains command line utilities for the Advanced Linux Sound
Architecture (ALSA).

%prep
%setup -n %{name}-%{version}

%build
#autoreconf -f -i
%configure CFLAGS="$RPM_OPT_FLAGS" --sbindir=/sbin 
%{__make} %{?_smp_mflags}
%{__cc} $RPM_OPT_FLAGS -o salsa %{SOURCE202} -lasound
%{__cc} $RPM_OPT_FLAGS -o alsacard %{SOURCE203} -lasound
%{__cc} $RPM_OPT_FLAGS -o alsaunmute %{SOURCE204} -lasound

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang alsaconf
%{__rm} -f $RPM_BUILD_ROOT/sbin/alsaconf \
	$RPM_BUILD_ROOT%{_mandir}/man*/alsaconf*

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../../sbin/alsactl $RPM_BUILD_ROOT/%{_sbindir}/alsactl

install -m 755 salsa $RPM_BUILD_ROOT/sbin
mkdir -p -m755 $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 %{SOURCE210} $RPM_BUILD_ROOT/etc/udev/rules.d/90-alsa.rules
mkdir -p -m755 $RPM_BUILD_ROOT/bin
install -m 755 alsaunmute  %{buildroot}/bin
install -m 755 alsacard  %{buildroot}/bin

#files -f alsaconf.lang
%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README TODO
/etc/udev/rules.d/*
/bin/*
%{_bindir}/*
%{_sbindir}/*
/sbin/*
%{_mandir}/man?/*
%{_mandir}/fr/man?/*
/usr/share/sounds/alsa/*
/usr/share/alsa/speaker-test/*
/usr/share/locale/*
/usr/share/alsa/init/00main
/usr/share/alsa/init/default
/usr/share/alsa/init/hda
/usr/share/alsa/init/help
/usr/share/alsa/init/info
/usr/share/alsa/init/test

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.22-1
- version update
* Fri Oct 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.21-1
- version update
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.20-1
- version update
* Fri Feb 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.19-1
- version update
* Sat Nov 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-1
- version update
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- version update
- rc1
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.16-1
- version update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-1
- version update
* Tue Jun 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.13-1
- Version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- Version update
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-1
- Version update, fixed rules file
* Sat Jan 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11rc2-1
- Version update
* Thu Jan 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.10-2
- rebuilt
* Fri Dec 09 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- Version update to 1.0.10
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.9a-2
- rebuild for newt
* Mon Sep 19 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.9a-1
- Version Update to 1.0.9a
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.9-1
- Version update to 1.0.9
* Sun May 08 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.8-3
- Modified Requires
* Tue Feb 08 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.8-2
- Removed Init Scipt, switched to hotplug
* Thu Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.8-1
- Version Update to 1.0.8
* Sat Nov 20 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Initial Release
